Delete a saved view

delete/v1/workspaces/{workspace_id}/views/{view_id}

Deletes a saved view. Deleting the default view falls the root back to the transient system default. Returns 204.

Requires a bearer token: Authorization: Bearer <token>.

Path parameters

NameTypeRequiredDescription
workspace_idstring <uuid>YesWorkspace id that owns the view.e.g. 11111111-2222-3333-4444-555555555555
view_idstring <uuid>YesThe view id to delete.e.g. 5c1a2b3d-0000-4000-8000-000000000001

Request

cURL
curl -X DELETE https://api.wellapp.ai/v1/workspaces/{workspace_id}/views/{view_id} \
  -H "Authorization: Bearer $WELL_API_TOKEN"

Responses

204View deleted.

401Unauthorized

{
  "code": "UNAUTHORIZED",
  "status": 0,
  "title": "Unauthorized",
  "message": "Authentication required.",
  "meta": {
    "trace_id": "a1b2c3"
  }
}

404Not Found

{
  "code": "NOT_FOUND",
  "status": 0,
  "title": "Not Found",
  "message": "View not found in this workspace.",
  "meta": {
    "trace_id": "a1b2c3"
  }
}